NullPointerException Class Reference

Thrown when an application attempts to use null in a case where an object is required. More...

Inheritance diagram for NullPointerException:

## Public Member Functions

| NullPointerException (const LogString &msg)
| NullPointerException (const NullPointerException &msg)
NullPointerException & | operator= (const NullPointerException &src)
Public Member Functions inherited from RuntimeException
| RuntimeException (log4cxx_status_t stat)
| RuntimeException (const LogString &msg)
| RuntimeException (const RuntimeException &msg)
RuntimeException & | operator= (const RuntimeException &src)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

Thrown when an application attempts to use null in a case where an object is required.

## Constructor & Destructor Documentation

NullPointerException | ( | const LogString & | msg | ) |

NullPointerException | ( | const NullPointerException & | msg | ) |

## Member Function Documentation

NullPointerException& operator= | ( | const NullPointerException & | src | ) |

The documentation for this class was generated from the following file:

- exception.h